Subject: bug#74395: closed (Re: 'mumi send-email' fails to detect created issue number)

From: Arun Isaac <[email-masked]>
Date: Sun, 16 Mar 2025 16:47:45 +0000

Hi Maxim,

> Should we also raise the frequency of the rsync job? Currently it's
> every 5 minutes; we could make try perhaps every minute, but it should
> block when it's already running. I think the new Shepherd timer API
> would allow defining it as such.

Ah, good point! I didn't think of that. That would be worth doing to
further improve responsiveness.

Is there a way to prevent multiple rsync instances from running at the
same time? I understand it can be dangerous.
https://serverfault.com/questions/332577/is-it-safe-to-running-multiple-instances-of-rsync-together

Did you mean that the new Shepherd timer API has a way to achieve this
blocking?

Regards,
Arun